Subject: Re: [alto] Suresh Krishnan's No Objection on draft-ietf-alto-cost-calendar-09: (with COMMENT)

From: "Randriamasy, Sabine (Nokia - FR/Paris-Saclay)" <[email-masked]>
Date: Mon, 21 Jan 2019 16:13:19 +0000

Hello Suresh,

Thanks for your comments,
Please see answers and one question on our side inline,

All the best for 2019,

Sabine

-----Original Message-----
From: Suresh Krishnan <[email-masked]> 
Sent: Tuesday, December 04, 2018 8:09 AM
To: The IESG <[email-masked]>
Cc: [email-masked]; Gurbani, Vijay (Nokia - US/Naperville) <[email-masked]>; [email-masked]; Gurbani, Vijay (Nokia - US/Naperville) <[email-masked]>; [email-masked]
Subject: Suresh Krishnan's No Objection on draft-ietf-alto-cost-calendar-09: (with COMMENT)

Suresh Krishnan has entered the following ballot position for
draft-ietf-alto-cost-calendar-09: No Objection

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-alto-cost-calendar/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

* Section 4.2.3. and 4.2.4.

This document uses addresses from the allocatable global unicast IPv6 space in
2000::/3 in the examples. Please use addresses from the 2001:db8::/32 documentation prefix instead for the examples as per RFC6890.
[[SR]] Thanks, will be done as indicated by Mirja

* Section 6

Any reason this document requires the use of TLS 1.2 instead of TLS 1.3?
[[SR]] No particular reason. In section, after quoting the RFC 7285 text, we may add the text below, with one question though: 
do you see chances for TLS 1.2 to be deprecated in the near future?

-------
"RFC 8446 specifies TLS 1.3 and writes in its section 1: “While TLS 1.3 is not directly
compatible with previous versions, all versions of TLS incorporate a
versioning mechanism which allows clients and servers to
interoperably negotiate a common version if one is supported by both
peers". 
So ALTO clients and servers MAY use newer versions (e.g., 1.3) of TLS as long as the negotiation process succeeds.
To ensure backward compatibility with RFC 7285, it is RECOMMENDED for both Calendar-aware Clients and Servers to both support at least TLS 1.2, until it gets deprecated.”   
------

---

From: Suresh Krishnan <[email-masked]>
Date: Mon, 21 Jan 2019 19:37:25 +0000

Hi Sabine,

On Jan 21, 2019, at 11:13 AM, Randriamasy, Sabine (Nokia - FR/Paris-Saclay) <[email-masked]<mailto:[email-masked]>> wrote:

Hello Suresh,

All the best for 2019,

Sabine

-----Original Message-----
From: Suresh Krishnan <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, December 04, 2018 8:09 AM
To: The IESG <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Gurbani, Vijay (Nokia - US/Naperville) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Gurbani, Vijay (Nokia - US/Naperville) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Suresh Krishnan's No Objection on draft-ietf-alto-cost-calendar-09: (with COMMENT)

Sounds good.

* Section 6

I will let the SEC ADs answer this one, but my concern was more that there is no pointer to a newer version (1.3) that exists now.

-------
———

Sounds good to me.

Thanks
Suresh

---

From: "Randriamasy, Sabine (Nokia - FR/Paris-Saclay)" <[email-masked]>
Date: Fri, 25 Jan 2019 10:28:57 +0000

Hello Suresh,
Thanks a  lot, I will integrate the updates,
Best regards
Sabine

From: Suresh Krishnan <[email-masked]<mailto:[email-masked]>>
Sent: Monday, January 21, 2019 8:37 PM
To: Randriamasy, Sabine (Nokia - FR/Paris-Saclay) <[email-masked]<mailto:[email-masked]>>
Cc: The IESG <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Gurbani, Vijay (Nokia - US/Naperville) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: Suresh Krishnan's No Objection on draft-ietf-alto-cost-calendar-09: (with COMMENT)

Hi Sabine,

Hello Suresh,

All the best for 2019,

Sabine

-----Original Message-----
From: Suresh Krishnan <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, December 04, 2018 8:09 AM
To: The IESG <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Gurbani, Vijay (Nokia - US/Naperville) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Gurbani, Vijay (Nokia - US/Naperville) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Suresh Krishnan's No Objection on draft-ietf-alto-cost-calendar-09: (with COMMENT)

Sounds good.

* Section 6

-------

Sounds good to me.

Thanks
Suresh

---

From: Benjamin Kaduk <[email-masked]>
Date: Sat, 26 Jan 2019 14:03:00 -0600

> I will let the SEC ADs answer this one, but my concern was more that there is no pointer to a newer version (1.3) that exists now.

Barring some startling new cryptographic attack, deprecation of TLS 1.2 is
looking to be at least 5 years in the future.  TLS 1.3 gets you a
streamlined handshake for faster TTFB, and the crypto is better analyzed,
but the adoption of 1.3 is being driven by this sort of features and not by
flaws in 1.2.

-Benjamin